MINGETTY(8)

NUME
mingetty - getty minimal pentru console

SINOPSIS
mingetty [--noclear] [--nonewline] [--noissue] [--nohangup] [--nohostname] [--long-hostname] [--loginprog=/bin/login] [--nice=10] [--delay=5] [--chdir=/home] [--chroot=/chroot] [--autologin nume-utilizator] [--loginpause] tty

DESCRIERE
mingetty este un getty minimal pentru utilizare pe console virtuale. Spre deosebire de agetty(8), mingetty nu este potrivit pentru liniile seriale. Vă recomand să folosiți mgetty(8) în acest scop.

OPȚIUNI

--noclear
    Nu șterge ecranul înainte de a solicita numele de conectare (în mod normal, ecranul este șters).

--nonewline
    Nu imprimă o linie nouă înainte de a scrie în fișierul „/etc/issue”.

--noissue
    Nu scrie în fișierul „/etc/issue”.

--nohangup
    Nu apelează vhangup() pentru a dezactiva scrierea pe acest tty de către alte aplicații.

--nohostname
    Nu imprimă numele de gazdă înainte de solicitarea de autentificare.

--long-hostname
    În mod implicit, numele de gazdă este afișat doar până la primul punct. Dacă această opțiune este activată, se afișează întregul text din gethostname().

--loginprog /bin/login
    Schimbă aplicația de autentificare.

--nice 10
    Modifică prioritatea prin apelarea nice().

--delay 5
    Doarme atâtea secunde după pornirea «mingetty».

--chdir /home
    Schimbă la acest director înainte de a apela programul de autentificare.

--chroot /chroot
    Apelează chroot() cu acest nume de director.

--autologin nume-utilizator
    Conectează automat utilizatorul specificat fără a solicita un nume de utilizator și o parolă. Pentru aceasta, verificați opțiunea „-f” din /bin/login.

--loginpause
    Așteaptă apăsarea oricărei taste înainte de a trece la solicitarea de autentificare. Poate fi combinată cu --autologin pentru a economisi memorie prin generarea leneșă de shell-uri.

SECVENȚE DE CONTROL ÎN ISSUE
mingetty recunoaște următoarele secvențe de control care ar putea fi încorporate în fișierul /etc/issue:

\d  inserează ziua curentă (ora locală),

\l  inserează linia pe care rulează mingetty,

\m  inserează arhitectura mașinii («uname -m»),

\n  inserează numele de gazdă al nodului de rețea al mașinii («uname -n»),

\o  inserează numele de domeniu,

\r  inserează versiunea de lansare sistemului de operare («uname -r»),

\t  inserează ora curentă (ora locală),

\s  inserează numele sistemului de operare,

\u  respectiv \U numărul actual de utilizatori care sunt conectați în prezent. \U inserează „n utilizatori”, în timp ce \u inserează doar „n”.

\v  inserează versiunea de compilare și data sistemului de operare («uname -v»).

EXEMPLU
"Linux eos i386 #1 Tue Mar 19 21:54:09 MET 1996" a fost produsă prin introducerea „\s \n \m \v” în /etc/issue.

FIȘIERE
/etc/issue, /var/run/utmp.

CONSULTAȚI ȘI
mgetty(8), agetty(8).

AUTOR
Drepturi de autor © 1996 Florian La Roche <laroche@redhat.com>. Pagină de manual scrisă de David Frey <David.Frey@eos.lugs.ch> și Florian La Roche.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.